Subject: Re: bug#41250: 28.0.50; Dired displays unconditionally ls-switches on modeline

From: Juri Linkov <[email-masked]>
Date: Mon, 05 Oct 2020 23:15:32 +0300

>> -      `(truncate-string-to-width str strlen (- strlen ,maxvar) nil ?\s)
>> +      `(truncate-string-to-width str strlen (- strlen ,maxvar) ?\s)
>>      `(truncate-string-to-width ,strvar ,maxvar nil ?\s)))
>
> Testing should be pretty easy -- just say `M-x ibuffer' and look at how
> it truncates buffer names.  :-)
>
> However, the patch doesn't fix the ellipsis stuff here, because ibuffer
> has a `ibuffer-eliding-string' variable (that could be obsoleted now).

Yep, this is what I tried, but it had no immediate effect :-)

> (But the patch otherwise looks "obviously correct" to me; passing in ?\s
> as the ellipsis argument doesn't make much sense.)

It seems this code is over-complicated with several levels of backquoting.
So maybe better just to push this obvious fix.